##################################################
# Karaf Decanter OpenSearch Appender Configuration
##################################################

# enabled by default
enabled=true

# the index gets cleaned up every n-minutes
cleanupPeriodInMinutes=60

# delete all entries from the index that are older than
deleteEntriesOlderThan=7 days ago

# the name of the date field used to delete entries 
dateFieldToDeleteEntries=@timestamp

# Marshaller to use (must be json)
marshaller.target=(dataFormat=json)
